//////////////////////////////////////////
// FileHandler.h
// Copyright (c) 12/13/2020 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResFileHandler.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCSDIクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CSDI
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CSDI(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnPopup();
	bool OnExe();
	bool OnDel();
	bool OnCut();
	bool OnCopy();
	bool OnRename();
	bool OnExit();
	bool OnVersion();
	//特殊なメッセージ処理
	bool OnShellChange(WPARAM, LPARAM);
	//ウィンドウメッセージ関連
	bool OnCreate(WPARAM, LPARAM);
	bool OnNotify(WPARAM, LPARAM);
	bool OnSize(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd FileHandler("FileHandler");	//ウィンドウクラスインスタンスの生成

BEGIN_SDIMSG(FileHandler)	//ダイアログと違い、コールバック関数名を特定しない
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(FileHandler, IDM_POPUP, OnPopup())
	ON_COMMAND(FileHandler, IDM_EXE, OnExe())
	ON_COMMAND(FileHandler, IDM_DEL, OnDel())
	ON_COMMAND(FileHandler, IDM_CUT, OnCut())
	ON_COMMAND(FileHandler, IDM_COPY, OnCopy())
	ON_COMMAND(FileHandler, IDM_RENAME, OnRename())
	ON_COMMAND(FileHandler, IDM_EXIT, OnExit())
	ON_COMMAND(FileHandler, IDM_VERSION, OnVersion())
	//特殊なメッセージ処理
	ON_(FileHandler, WM_SHELLCHANGE, OnShellChange(wParam, lParam))
	//ウィンドウメッセージ関連
	ON_CREATE(FileHandler)
	ON_NOTIFY(FileHandler)
	ON_SIZE(FileHandler)
	ON_CLOSE(FileHandler)
END_WNDMSG

///////////////////
//ツールバーの作成
///////////////////
CTBAR TBar;

///////////////////////
//ステータスバーの作成
///////////////////////
CSBAR SBar;

////////////////////////
//コモンダイアログの作成
////////////////////////
CMNDLG cmndlg;

///////////////////////////////////////////
// CDLGクラスからVERSIONDLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class VERSIONDLG : public CDLG {
public:
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// VERSIONDLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
VERSIONDLG versiondlg;

BEGIN_MODALDLGMSG(versiondlgProc, versiondlg)	//第1引数がコールバック関数の名前
	ON_COMMAND(versiondlg, IDOK, OnIdok())
END_DLGMSG
